deferred class
	AST_TYPE

inherit
	AST_NODE

feature {ANY}

	is_const: BOOLEAN assign set_is_const

	is_volatile: BOOLEAN assign set_is_volatile

	set_is_const (a_is_const: BOOLEAN)
		do
			is_const := a_is_const
		end

	set_is_volatile (a_is_volatile: BOOLEAN)
		do
			is_volatile := a_is_volatile
		end

	is_equal_type (a_type: AST_TYPE): BOOLEAN
		deferred
		end

feature {ANY} -- AST_NODE

	make_copy (other: like Current)
		do
			is_const := other.is_const
			is_volatile := other.is_volatile
		end

end
