class
	OO_FEATURE

inherit
	COMPARABLE

create
	make

feature {NONE}

	make (a_parent: OO_REGULAR_CLASS; a_node: AST_EIFFEL_FEATURE)
		require
			a_parent /= Void
			a_node /= Void
		do
			parent := a_parent
			node := a_node
			node.oo_feature := Current
		end

feature {ANY} -- COMPARABLE

	is_less alias "<" (other: like Current): BOOLEAN
		do
			Result := name < other.name
		end

feature {ANY}

	parent: OO_REGULAR_CLASS

	node: AST_EIFFEL_FEATURE

	name: STRING_8
		do
			Result := node.identifier
		end

	set_name (a_name: STRING_8)
		require
			a_name /= Void and then not a_name.is_empty
		do
			node.identifier.make_from_string (a_name)
		end

invariant
	parent /= Void
	node /= Void

end
