class
	CODE_TRANSFORMER_CONFIG


feature --Access

	run_cil_transformers: BOOLEAN assign set_run_cil_transformers
		do
			Result := impl_steps.cil_transformers
		end

	set_run_cil_transformers (run: BOOLEAN)
		do
			impl_steps.cil_transformers := run
		end

	run_string_transformer: BOOLEAN assign set_run_string_transformer
		do
			Result := impl_steps.string_transformer
		end

	set_run_string_transformer (run: BOOLEAN)
		do
			impl_steps.string_transformer := run

			-- string transformer depends on the cil transformers
			if run then
				set_run_cil_transformers (True)
			end
		end

	run_printf_transformer: BOOLEAN assign set_run_printf_transformer
		do
			Result := impl_steps.printf_transformer
		end

	set_run_printf_transformer (run: BOOLEAN)
		do
			impl_steps.printf_transformer := run
		end

	run_bcr_transformer: BOOLEAN assign set_run_bcr_transformer
			-- run break continue return transformer
		do
			Result := impl_steps.bcr_transformer
		end

	set_run_bcr_transformer (run: BOOLEAN)
		do
			impl_steps.bcr_transformer := run
		end

feature --Implementation

	impl_steps: TUPLE[cil_transformers, string_transformer, printf_transformer, bcr_transformer: BOOLEAN]
		once ("PROCESS")
			create Result

			-- enable / disable defaults
			Result.cil_transformers := True
			Result.string_transformer := False
			Result.printf_transformer := True
			Result.bcr_transformer := True
		end

end
